Subject: Re: [X2Go-Dev] Bug#349: Make shadow sessions work with --hide option

From: Mike Gabriel <[email-masked]>
Date: Mon, 09 Dec 2013 14:47:55 +0000

Control: tag -1 patch
Control: tag -1 - moreinfo

Hi Marco,

this is still pending due to ENOTIME. Sorry. It won't get lost as long  
as it is in our bugtracker...

Mike

On  Mo 09 Dez 2013 12:03:34 CET, Marco André Dinis wrote:

> Any news on implementing this?
>
>
> On Thu, Nov 28, 2013 at 10:16 AM, Marco André Dinis <
> [email-masked]> wrote:
>
>> Hi
>>
>> I'm sending the patch.
>>
>> However this is not the final fix. There are 2 modes: full access and
>> only view. Right now it starts full access.
>> That decision could be made using the session info. For example,
>> create the command SHADOWFULL
>>
>> On Wed, Nov 27, 2013 at 10:46 AM, Mike Gabriel
>> <[email-masked]> wrote:
>> > Control: retitle -1 Make shadow sessions work with --hide option
>> > Control: tag -1 moreinfo
>> > Control: clone -1 -2
>> > Control: reassign -2 x2godesktopsharing
>> > Control: retitle -2 Add --no-icon cmdline option to x2godesktopsharing
>> > Control: severity -2 wishlist
>> >
>> > Hi Marco,
>> >
>> > with this mail I split up your report into to separate bug reports. One
>> for
>> > x2goclient, one for x2godesktopsharing...
>> >
>> > On  Di 26 Nov 2013 17:01:41 CET, marcoandredinis wrote:
>> >
>> >> I'm developing a program that will use X2Go software. I dont want
>> >> users to notice they are using any other program besides my own.
>> >>
>> >> I have two problems right now:
>> >>
>> >> A) X2GoClient
>> >> Using SHADOW mode with "--hide" does not work. The interface waits for
>> >> selection of Display (usually ":0") and, since there's no input from
>> >> user (there's no window) the program does not show anything.
>> >> There are possible ways of fixing/improving this situation:
>> >> -allow user to set the default display on sessions' file
>> >> -create one flag and run program like these: "x2goclient --hide
>> >> --sessionid=xxx --select-first-display"
>> >>
>> >> Anyway, i modified the code of x2goclient/onmainwindow.cpp and added
>> >> these lines:
>> >> l4348:..if( shadowSession )
>> >> l4349:....slotShadowSess();
>> >> Compiled the program, and now i can run "./x2goclient --hide
>> >> --sessionid=xxx" and the window will show up.
>> >> This is NOT a fix, this is a nasty workaround. It wontn show the list
>> >> even when the "hide" flag is not present.
>> >
>> >
>> > Please provide a patch for what you did.
>> >
>> > Please improve your patch so it is not a workaround anymore. I guess, I
>> > agree with you, that the X2Go Client window should pop up, if there are
>> more
>> > than one sharable desktops to select from. If there is only one sharable
>> > desktop, this should be auto-selected. Can you code that into X2Go
>> Client,
>> > please?
>> >
>> >> B) X2GoDesktopSharing
>> >> Just the icon on SystemTray. If we could pass a flag like "--no-icon"
>> >> would be great
>> >
>> >
>> > This part will be handled in a separate bug. I will reply to this once
>> the
>> > separate bug is created in X2Go BTS.
>> >
>> >> I could do these simple changes on my own, but i rather see this
>> >> changes on the official code.
>> >
>> >
>> > Let's try to get your needs into upstream code...
>> >
>> > Mike
>> >
>> > --
>> >
>> > DAS-NETZWERKTEAM
>> > mike gabriel, herweg 7, 24357 fleckeby
>> > fon: +49 (1520) 1976 148
>> >
>> > GnuPG Key ID 0x25771B31
>> > mail: [email-masked], http://das-netzwerkteam.de
>> >
>> > freeBusy:
>> >
>> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
>>

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb